Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryLanguageType

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistryLanguageType

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistryLanguageType

extends java.lang.Object
implements EPPCodecComponent

See Also:
  Serialized Form

Field Summary
`static java.util.List` | `VALID_VARIANT_STRATEGIES`
`static java.lang.String` | `VARIANT_STRATEGY_BLOCKED`
`static java.lang.String` | `VARIANT_STRATEGY_OPEN`
`static java.lang.String` | `VARIANT_STRATEGY_RESTRICTED`

Constructor Summary
`EPPRegistryLanguageType()`
`EPPRegistryLanguageType(java.lang.String code, java.lang.String table, java.lang.String variantStrategy)`

Method Summary
`java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
`void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
`boolean` | `equals(java.lang.Object aObject)`
`java.lang.String` | `getCode()`
`java.lang.String` | `getStrategy()`
`java.lang.String` | `getTable()`
`void` | `setCode(java.lang.String code)`
`void` | `setStrategy(java.lang.String strategy)`
`void` | `setTable(java.lang.String table)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VALID_VARIANT_STRATEGIES

    public static final java.util.List VALID_VARIANT_STRATEGIES

### VARIANT_STRATEGY_BLOCKED

    public static final java.lang.String VARIANT_STRATEGY_BLOCKED

See Also:
  Constant Field Values

### VARIANT_STRATEGY_RESTRICTED

    public static final java.lang.String VARIANT_STRATEGY_RESTRICTED

See Also:
  Constant Field Values

### VARIANT_STRATEGY_OPEN

    public static final java.lang.String VARIANT_STRATEGY_OPEN

See Also:
  Constant Field Values

Constructor Detail

### EPPRegistryLanguageType

    public EPPRegistryLanguageType()

### EPPRegistryLanguageType

    public EPPRegistryLanguageType(java.lang.String code,
                                   java.lang.String table,
                                   java.lang.String variantStrategy)

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Description copied from interface: `EPPCodecComponent`
  encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
  For example, the <command> element of `EPPCommand` is created and is used to append the attribute nodes of `EPPCommand`.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM document used as a factory of DOM objects.
  Returns:
    instance root DOM element along with attribute child nodes.
  Throws:
    `EPPEncodeException` - Error encoding the DOM element tree.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Description copied from interface: `EPPCodecComponent`
  decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
  For example, the <command> element of `EPPCommand` is passed into `decode` of EPPCommand to be decoded and used to set the instance attributes.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - root DOM element associated with instance
  Throws:
    `EPPDecodeException` - Error decoding the DOM element tree.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Description copied from interface: `EPPCodecComponent`
  clone an `EPPCodecComponent`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPCodecComponent`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### equals

    public boolean equals(java.lang.Object aObject)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getTable

    public java.lang.String getTable()

### setTable

    public void setTable(java.lang.String table)

### getStrategy

    public java.lang.String getStrategy()

### setStrategy

    public void setStrategy(java.lang.String strategy)

### getCode

    public java.lang.String getCode()

### setCode

    public void setCode(java.lang.String code)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.